/// A complete list of all the countries in the world, according to
/// [ISO 3166](https://www.iso.org/iso-3166-country-codes.html).
///
enum Country {
  /// Afghanistan
  afghanistan,

  /// Åland Islands
  alandIslands,

  /// Albania
  albania,

  /// Algeria
  algeria,

  /// American Samoa
  americanSamoa,

  /// Andorra
  andorra,

  /// Angola
  angola,

  /// Anguilla
  anguilla,

  /// Antarctica
  antarctica,

  /// Antigua and Barbuda
  antiguaAndBarbuda,

  /// Argentina
  argentina,

  /// Armenia
  armenia,

  /// Aruba
  aruba,

  /// Australia
  australia,

  /// Austria
  austria,

  /// Azerbaijan
  azerbaijan,

  /// Bahamas (the)
  bahamas,

  /// Bahrain
  bahrain,

  /// Bangladesh
  bangladesh,

  /// Barbados
  barbados,

  /// Belarus
  belarus,

  /// Belgium
  belgium,

  /// Belize
  belize,

  /// Benin
  benin,

  /// Bermuda
  bermuda,

  /// Bhutan
  bhutan,

  /// Bolivia (Plurinational State of)
  bolivia,

  /// Bonaire, Sint Eustatius and Saba
  bonaireSintEustatiusAndSaba,

  /// Bosnia and Herzegovina
  bosniaAndHerzegovina,

  /// Botswana
  botswana,

  /// Bouvet Island
  bouvetIsland,

  /// Brazil
  brazil,

  /// British Indian Ocean Territory (the)
  britishIndianOceanTerritory,

  /// Brunei Darussalam
  bruneiDarussalam,

  /// Bulgaria
  bulgaria,

  /// Burkina Faso
  burkinaFaso,

  /// Burundi
  burundi,

  /// Cabo Verde
  caboVerde,

  /// Cambodia
  cambodia,

  /// Cameroon
  cameroon,

  /// Canada
  canada,

  /// Cayman Islands (the)
  caymanIslands,

  /// Central African Republic (the)
  centralAfricanRepublic,

  /// Chad
  chad,

  /// Chile
  chile,

  /// China
  china,

  /// Christmas Island
  christmasIsland,

  /// Cocos (Keeling) Islands (the)
  cocosKeelingIslands,

  /// Colombia
  colombia,

  /// Comoros (the)
  comoros,

  /// Congo (the Democratic Republic of the)
  congoDemocraticRepublic,

  /// Congo (the)
  congo,

  /// Cook Islands (the)
  cookIslands,

  /// Costa Rica
  costaRica,

  /// Côte d’Ivoire
  coteDIvoire,

  /// Croatia
  croatia,

  /// Cuba
  cuba,

  /// Curaçao
  curacao,

  /// Cyprus
  cyprus,

  /// Czechia
  czechia,

  /// Denmark
  denmark,

  /// Djibouti
  djibouti,

  /// Dominica
  dominica,

  /// Dominican Republic (the)
  dominicanRepublic,

  /// Ecuador
  ecuador,

  /// Egypt
  egypt,

  /// El Salvador
  elSalvador,

  /// Equatorial Guinea
  equatorialGuinea,

  /// Eritrea
  eritrea,

  /// Estonia
  estonia,

  /// Eswatini
  eswatini,

  /// Ethiopia
  ethiopia,

  /// Falkland Islands (the) [Malvinas]
  falklandIslands,

  /// Faroe Islands (the)
  faroeIslands,

  /// Fiji
  fiji,

  /// Finland
  finland,

  /// France
  france,

  /// French Guiana
  frenchGuiana,

  /// French Polynesia
  frenchPolynesia,

  /// French Southern Territories (the)
  frenchSouthernTerritories,

  /// Gabon
  gabon,

  /// Gambia (the)
  gambia,

  /// Georgia
  georgia,

  /// Germany
  germany,

  /// Ghana
  ghana,

  /// Gibraltar
  gibraltar,

  /// Greece
  greece,

  /// Greenland
  greenland,

  /// Grenada
  grenada,

  /// Guadeloupe
  guadeloupe,

  /// Guam
  guam,

  /// Guatemala
  guatemala,

  /// Guernsey
  guernsey,

  /// Guinea
  guinea,

  /// Guinea-Bissau
  guineaBissau,

  /// Guyana
  guyana,

  /// Haiti
  haiti,

  /// Heard Island and McDonald Islands
  heardIslandAndMcDonaldIslands,

  /// Holy See (the)
  holySee,

  /// Honduras
  honduras,

  /// Hong Kong
  hongKong,

  /// Hungary
  hungary,

  /// Iceland
  iceland,

  /// India
  india,

  /// Indonesia
  indonesia,

  /// Iran (Islamic Republic of)
  iranIslamicRepublic,

  /// Iraq
  iraq,

  /// Ireland
  ireland,

  /// Isle of Man
  isleOfMan,

  /// Israel
  israel,

  /// Italy
  italy,

  /// Jamaica
  jamaica,

  /// Japan
  japan,

  /// Jersey
  jersey,

  /// Jordan
  jordan,

  /// Kazakhstan
  kazakhstan,

  /// Kenya
  kenya,

  /// Kiribati
  kiribati,

  /// Korea (the Democratic People’s Republic of)
  koreaDemocraticPeopleRepublic,

  /// Korea (the Republic of)
  koreaRepublic,

  /// Kuwait
  kuwait,

  /// Kyrgyzstan
  kyrgyzstan,

  /// Lao People’s Democratic Republic (the)
  laoPeopleDemocraticRepublic,

  /// Latvia
  latvia,

  /// Lebanon
  lebanon,

  /// Lesotho
  lesotho,

  /// Liberia
  liberia,

  /// Libya
  libya,

  /// Liechtenstein
  liechtenstein,

  /// Lithuania
  lithuania,

  /// Luxembourg
  luxembourg,

  /// Macao
  macao,

  /// Madagascar
  madagascar,

  /// Malawi
  malawi,

  /// Malaysia
  malaysia,

  /// Maldives
  maldives,

  /// Mali
  mali,

  /// Malta
  malta,

  /// Marshall Islands (the)
  marshallIslands,

  /// Martinique
  martinique,

  /// Mauritania
  mauritania,

  /// Mauritius
  mauritius,

  /// Mayotte
  mayotte,

  /// Mexico
  mexico,

  /// Micronesia (Federated States of)
  micronesiaFederatedStates,

  /// Moldova (the Republic of)
  moldovaRepublic,

  /// Monaco
  monaco,

  /// Mongolia
  mongolia,

  /// Montenegro
  montenegro,

  /// Montserrat
  montserrat,

  /// Morocco
  morocco,

  /// Mozambique
  mozambique,

  /// Myanmar
  myanmar,

  /// Namibia
  namibia,

  /// Nauru
  nauru,

  /// Nepal
  nepal,

  /// Netherlands (the)
  netherlands,

  /// New Caledonia
  newCaledonia,

  /// New Zealand
  newZealand,

  /// Nicaragua
  nicaragua,

  /// Niger (the)
  niger,

  /// Nigeria
  nigeria,

  /// Niue
  niue,

  /// Norfolk Island
  norfolkIsland,

  /// North Macedonia
  northMacedonia,

  /// Northern Mariana Islands (the)
  northernMarianaIslands,

  /// Norway
  norway,

  /// Oman
  oman,

  /// Pakistan
  pakistan,

  /// Palau
  palau,

  /// Palestine, State of
  palestineState,

  /// Panama
  panama,

  /// Papua New Guinea
  papuaNewGuinea,

  /// Paraguay
  paraguay,

  /// Peru
  peru,

  /// Philippines (the)
  philippines,

  /// Pitcairn
  pitcairn,

  /// Poland
  poland,

  /// Portugal
  portugal,

  /// Puerto Rico
  puertoRico,

  /// Qatar
  qatar,

  /// Réunion
  reunion,

  /// Romania
  romania,

  /// Russian Federation (the)
  russianFederation,

  /// Rwanda
  rwanda,

  /// Saint Barthélemy
  saintBarthelemy,

  /// Saint Helena, Ascension and Tristan da Cunha
  saintHelenaAscensionAndTristanDaCunha,

  /// Saint Kitts and Nevis
  saintKittsAndNevis,

  /// Saint Lucia
  saintLucia,

  /// Saint Martin (French part)
  saintMartin,

  /// Saint Pierre and Miquelon
  saintPierreAndMiquelon,

  /// Saint Vincent and the Grenadines
  saintVincentAndTheGrenadines,

  /// Samoa
  samoa,

  /// San Marino
  sanMarino,

  /// Sao Tome and Principe
  saoTomeAndPrincipe,

  /// Saudi Arabia
  saudiArabia,

  /// Senegal
  senegal,

  /// Serbia
  serbia,

  /// Seychelles
  seychelles,

  /// Sierra Leone
  sierraLeone,

  /// Singapore
  singapore,

  /// Sint Maarten (Dutch part)
  sintMaarten,

  /// Slovakia
  slovakia,

  /// Slovenia
  slovenia,

  /// Solomon Islands
  solomonIslands,

  /// Somalia
  somalia,

  /// South Africa
  southAfrica,

  /// South Georgia and the South Sandwich Islands
  southGeorgiaAndTheSouthSandwichIslands,

  /// South Sudan
  southSudan,

  /// Spain
  spain,

  /// Sri Lanka
  sriLanka,

  /// Sudan (the)
  sudan,

  /// Suriname
  suriname,

  /// Svalbard and Jan Mayen
  svalbardAndJanMayen,

  /// Sweden
  sweden,

  /// Switzerland
  switzerland,

  /// Syrian Arab Republic (the)
  syrianArabRepublic,

  /// Taiwan (Province of China)
  taiwan,

  /// Tajikistan
  tajikistan,

  /// Tanzania, the United Republic of
  tanzaniaUnitedRepublic,

  /// Thailand
  thailand,

  /// Timor-Leste
  timorLeste,

  /// Togo
  togo,

  /// Tokelau
  tokelau,

  /// Tonga
  tonga,

  /// Trinidad and Tobago
  trinidadAndTobago,

  /// Tunisia
  tunisia,

  /// Turkey
  turkey,

  /// Turkmenistan
  turkmenistan,

  /// Turks and Caicos Islands (the)
  turksAndCaicosIslands,

  /// Tuvalu
  tuvalu,

  /// Uganda
  uganda,

  /// Ukraine
  ukraine,

  /// United Arab Emirates (the)
  unitedArabEmirates,

  /// United Kingdom of Great Britain and Northern Ireland (the)
  unitedKingdomOfGreatBritainAndNorthernIreland,

  /// United States Minor Outlying Islands (the)
  unitedStatesMinorOutlyingIslands,

  /// United States of America (the)
  unitedStatesOfAmerica,

  /// Uruguay
  uruguay,

  /// Uzbekistan
  uzbekistan,

  /// Vanuatu
  vanuatu,

  /// Venezuela (Bolivarian Republic of)
  venezuelaBolivarianRepublic,

  /// Viet Nam
  vietNam,

  /// Virgin Islands (British)
  virginIslandsBritish,

  /// Virgin Islands (U.S.)
  virginIslandsUS,

  /// Wallis and Futuna
  wallisAndFutuna,

  /// Western Sahara
  westernSahara,

  /// Yemen
  yemen,

  /// Zambia
  zambia,

  /// Zimbabwe
  zimbabwe,
}

/// This extension provides useful tools for `Country` enumeration values.
///
extension CountryX on Country {
  /// Gets the correspondind “alpha 2 code” for this country.
  ///
  String get alpha2code {
    switch (this) {
      case Country.afghanistan:
        return 'AF';
      case Country.alandIslands:
        return 'AX';
      case Country.albania:
        return 'AL';
      case Country.algeria:
        return 'DZ';
      case Country.americanSamoa:
        return 'AS';
      case Country.andorra:
        return 'AD';
      case Country.angola:
        return 'AO';
      case Country.anguilla:
        return 'AI';
      case Country.antarctica:
        return 'AQ';
      case Country.antiguaAndBarbuda:
        return 'AG';
      case Country.argentina:
        return 'AR';
      case Country.armenia:
        return 'AM';
      case Country.aruba:
        return 'AW';
      case Country.australia:
        return 'AU';
      case Country.austria:
        return 'AT';
      case Country.azerbaijan:
        return 'AZ';
      case Country.bahamas:
        return 'BS';
      case Country.bahrain:
        return 'BH';
      case Country.bangladesh:
        return 'BD';
      case Country.barbados:
        return 'BB';
      case Country.belarus:
        return 'BY';
      case Country.belgium:
        return 'BE';
      case Country.belize:
        return 'BZ';
      case Country.benin:
        return 'BJ';
      case Country.bermuda:
        return 'BM';
      case Country.bhutan:
        return 'BT';
      case Country.bolivia:
        return 'BO';
      case Country.bonaireSintEustatiusAndSaba:
        return 'BQ';
      case Country.bosniaAndHerzegovina:
        return 'BA';
      case Country.botswana:
        return 'BW';
      case Country.bouvetIsland:
        return 'BV';
      case Country.brazil:
        return 'BR';
      case Country.britishIndianOceanTerritory:
        return 'IO';
      case Country.bruneiDarussalam:
        return 'BN';
      case Country.bulgaria:
        return 'BG';
      case Country.burkinaFaso:
        return 'BF';
      case Country.burundi:
        return 'BI';
      case Country.caboVerde:
        return 'CV';
      case Country.cambodia:
        return 'KH';
      case Country.cameroon:
        return 'CM';
      case Country.canada:
        return 'CA';
      case Country.caymanIslands:
        return 'KY';
      case Country.centralAfricanRepublic:
        return 'CF';
      case Country.chad:
        return 'TD';
      case Country.chile:
        return 'CL';
      case Country.china:
        return 'CN';
      case Country.christmasIsland:
        return 'CX';
      case Country.cocosKeelingIslands:
        return 'CC';
      case Country.colombia:
        return 'CO';
      case Country.comoros:
        return 'KM';
      case Country.congoDemocraticRepublic:
        return 'CD';
      case Country.congo:
        return 'CG';
      case Country.cookIslands:
        return 'CK';
      case Country.costaRica:
        return 'CR';
      case Country.coteDIvoire:
        return 'CI';
      case Country.croatia:
        return 'HR';
      case Country.cuba:
        return 'CU';
      case Country.curacao:
        return 'CW';
      case Country.cyprus:
        return 'CY';
      case Country.czechia:
        return 'CZ';
      case Country.denmark:
        return 'DK';
      case Country.djibouti:
        return 'DJ';
      case Country.dominica:
        return 'DM';
      case Country.dominicanRepublic:
        return 'DO';
      case Country.ecuador:
        return 'EC';
      case Country.egypt:
        return 'EG';
      case Country.elSalvador:
        return 'SV';
      case Country.equatorialGuinea:
        return 'GQ';
      case Country.eritrea:
        return 'ER';
      case Country.estonia:
        return 'EE';
      case Country.eswatini:
        return 'SZ';
      case Country.ethiopia:
        return 'ET';
      case Country.falklandIslands:
        return 'FK';
      case Country.faroeIslands:
        return 'FO';
      case Country.fiji:
        return 'FJ';
      case Country.finland:
        return 'FI';
      case Country.france:
        return 'FR';
      case Country.frenchGuiana:
        return 'GF';
      case Country.frenchPolynesia:
        return 'PF';
      case Country.frenchSouthernTerritories:
        return 'TF';
      case Country.gabon:
        return 'GA';
      case Country.gambia:
        return 'GM';
      case Country.georgia:
        return 'GE';
      case Country.germany:
        return 'DE';
      case Country.ghana:
        return 'GH';
      case Country.gibraltar:
        return 'GI';
      case Country.greece:
        return 'GR';
      case Country.greenland:
        return 'GL';
      case Country.grenada:
        return 'GD';
      case Country.guadeloupe:
        return 'GP';
      case Country.guam:
        return 'GU';
      case Country.guatemala:
        return 'GT';
      case Country.guernsey:
        return 'GG';
      case Country.guinea:
        return 'GN';
      case Country.guineaBissau:
        return 'GW';
      case Country.guyana:
        return 'GY';
      case Country.haiti:
        return 'HT';
      case Country.heardIslandAndMcDonaldIslands:
        return 'HM';
      case Country.holySee:
        return 'VA';
      case Country.honduras:
        return 'HN';
      case Country.hongKong:
        return 'HK';
      case Country.hungary:
        return 'HU';
      case Country.iceland:
        return 'IS';
      case Country.india:
        return 'IN';
      case Country.indonesia:
        return 'ID';
      case Country.iranIslamicRepublic:
        return 'IR';
      case Country.iraq:
        return 'IQ';
      case Country.ireland:
        return 'IE';
      case Country.isleOfMan:
        return 'IM';
      case Country.israel:
        return 'IL';
      case Country.italy:
        return 'IT';
      case Country.jamaica:
        return 'JM';
      case Country.japan:
        return 'JP';
      case Country.jersey:
        return 'JE';
      case Country.jordan:
        return 'JO';
      case Country.kazakhstan:
        return 'KZ';
      case Country.kenya:
        return 'KE';
      case Country.kiribati:
        return 'KI';
      case Country.koreaDemocraticPeopleRepublic:
        return 'KP';
      case Country.koreaRepublic:
        return 'KR';
      case Country.kuwait:
        return 'KW';
      case Country.kyrgyzstan:
        return 'KG';
      case Country.laoPeopleDemocraticRepublic:
        return 'LA';
      case Country.latvia:
        return 'LV';
      case Country.lebanon:
        return 'LB';
      case Country.lesotho:
        return 'LS';
      case Country.liberia:
        return 'LR';
      case Country.libya:
        return 'LY';
      case Country.liechtenstein:
        return 'LI';
      case Country.lithuania:
        return 'LT';
      case Country.luxembourg:
        return 'LU';
      case Country.macao:
        return 'MO';
      case Country.madagascar:
        return 'MG';
      case Country.malawi:
        return 'MW';
      case Country.malaysia:
        return 'MY';
      case Country.maldives:
        return 'MV';
      case Country.mali:
        return 'ML';
      case Country.malta:
        return 'MT';
      case Country.marshallIslands:
        return 'MH';
      case Country.martinique:
        return 'MQ';
      case Country.mauritania:
        return 'MR';
      case Country.mauritius:
        return 'MU';
      case Country.mayotte:
        return 'YT';
      case Country.mexico:
        return 'MX';
      case Country.micronesiaFederatedStates:
        return 'FM';
      case Country.moldovaRepublic:
        return 'MD';
      case Country.monaco:
        return 'MC';
      case Country.mongolia:
        return 'MN';
      case Country.montenegro:
        return 'ME';
      case Country.montserrat:
        return 'MS';
      case Country.morocco:
        return 'MA';
      case Country.mozambique:
        return 'MZ';
      case Country.myanmar:
        return 'MM';
      case Country.namibia:
        return 'NA';
      case Country.nauru:
        return 'NR';
      case Country.nepal:
        return 'NP';
      case Country.netherlands:
        return 'NL';
      case Country.newCaledonia:
        return 'NC';
      case Country.newZealand:
        return 'NZ';
      case Country.nicaragua:
        return 'NI';
      case Country.niger:
        return 'NE';
      case Country.nigeria:
        return 'NG';
      case Country.niue:
        return 'NU';
      case Country.norfolkIsland:
        return 'NF';
      case Country.northMacedonia:
        return 'MK';
      case Country.northernMarianaIslands:
        return 'MP';
      case Country.norway:
        return 'NO';
      case Country.oman:
        return 'OM';
      case Country.pakistan:
        return 'PK';
      case Country.palau:
        return 'PW';
      case Country.palestineState:
        return 'PS';
      case Country.panama:
        return 'PA';
      case Country.papuaNewGuinea:
        return 'PG';
      case Country.paraguay:
        return 'PY';
      case Country.peru:
        return 'PE';
      case Country.philippines:
        return 'PH';
      case Country.pitcairn:
        return 'PN';
      case Country.poland:
        return 'PL';
      case Country.portugal:
        return 'PT';
      case Country.puertoRico:
        return 'PR';
      case Country.qatar:
        return 'QA';
      case Country.reunion:
        return 'RE';
      case Country.romania:
        return 'RO';
      case Country.russianFederation:
        return 'RU';
      case Country.rwanda:
        return 'RW';
      case Country.saintBarthelemy:
        return 'BL';
      case Country.saintHelenaAscensionAndTristanDaCunha:
        return 'SH';
      case Country.saintKittsAndNevis:
        return 'KN';
      case Country.saintLucia:
        return 'LC';
      case Country.saintMartin:
        return 'MF';
      case Country.saintPierreAndMiquelon:
        return 'PM';
      case Country.saintVincentAndTheGrenadines:
        return 'VC';
      case Country.samoa:
        return 'WS';
      case Country.sanMarino:
        return 'SM';
      case Country.saoTomeAndPrincipe:
        return 'ST';
      case Country.saudiArabia:
        return 'SA';
      case Country.senegal:
        return 'SN';
      case Country.serbia:
        return 'RS';
      case Country.seychelles:
        return 'SC';
      case Country.sierraLeone:
        return 'SL';
      case Country.singapore:
        return 'SG';
      case Country.sintMaarten:
        return 'SX';
      case Country.slovakia:
        return 'SK';
      case Country.slovenia:
        return 'SI';
      case Country.solomonIslands:
        return 'SB';
      case Country.somalia:
        return 'SO';
      case Country.southAfrica:
        return 'ZA';
      case Country.southGeorgiaAndTheSouthSandwichIslands:
        return 'GS';
      case Country.southSudan:
        return 'SS';
      case Country.spain:
        return 'ES';
      case Country.sriLanka:
        return 'LK';
      case Country.sudan:
        return 'SD';
      case Country.suriname:
        return 'SR';
      case Country.svalbardAndJanMayen:
        return 'SJ';
      case Country.sweden:
        return 'SE';
      case Country.switzerland:
        return 'CH';
      case Country.syrianArabRepublic:
        return 'SY';
      case Country.taiwan:
        return 'TW';
      case Country.tajikistan:
        return 'TJ';
      case Country.tanzaniaUnitedRepublic:
        return 'TZ';
      case Country.thailand:
        return 'TH';
      case Country.timorLeste:
        return 'TL';
      case Country.togo:
        return 'TG';
      case Country.tokelau:
        return 'TK';
      case Country.tonga:
        return 'TO';
      case Country.trinidadAndTobago:
        return 'TT';
      case Country.tunisia:
        return 'TN';
      case Country.turkey:
        return 'TR';
      case Country.turkmenistan:
        return 'TM';
      case Country.turksAndCaicosIslands:
        return 'TC';
      case Country.tuvalu:
        return 'TV';
      case Country.uganda:
        return 'UG';
      case Country.ukraine:
        return 'UA';
      case Country.unitedArabEmirates:
        return 'AE';
      case Country.unitedKingdomOfGreatBritainAndNorthernIreland:
        return 'GB';
      case Country.unitedStatesMinorOutlyingIslands:
        return 'UM';
      case Country.unitedStatesOfAmerica:
        return 'US';
      case Country.uruguay:
        return 'UY';
      case Country.uzbekistan:
        return 'UZ';
      case Country.vanuatu:
        return 'VU';
      case Country.venezuelaBolivarianRepublic:
        return 'VE';
      case Country.vietNam:
        return 'VN';
      case Country.virginIslandsBritish:
        return 'VG';
      case Country.virginIslandsUS:
        return 'VI';
      case Country.wallisAndFutuna:
        return 'WF';
      case Country.westernSahara:
        return 'EH';
      case Country.yemen:
        return 'YE';
      case Country.zambia:
        return 'ZM';
      case Country.zimbabwe:
        return 'ZW';
    }
  }

  /// Gets the correspondind “alpha 3 code” for this country.
  ///
  String get alpha3code {
    switch (this) {
      case Country.afghanistan:
        return 'AFG';
      case Country.alandIslands:
        return 'ALA';
      case Country.albania:
        return 'ALB';
      case Country.algeria:
        return 'DZA';
      case Country.americanSamoa:
        return 'ASM';
      case Country.andorra:
        return 'AND';
      case Country.angola:
        return 'AGO';
      case Country.anguilla:
        return 'AIA';
      case Country.antarctica:
        return 'ATA';
      case Country.antiguaAndBarbuda:
        return 'ATG';
      case Country.argentina:
        return 'ARG';
      case Country.armenia:
        return 'ARM';
      case Country.aruba:
        return 'ABW';
      case Country.australia:
        return 'AUS';
      case Country.austria:
        return 'AUT';
      case Country.azerbaijan:
        return 'AZE';
      case Country.bahamas:
        return 'BHS';
      case Country.bahrain:
        return 'BHR';
      case Country.bangladesh:
        return 'BGD';
      case Country.barbados:
        return 'BRB';
      case Country.belarus:
        return 'BLR';
      case Country.belgium:
        return 'BEL';
      case Country.belize:
        return 'BLZ';
      case Country.benin:
        return 'BEN';
      case Country.bermuda:
        return 'BMU';
      case Country.bhutan:
        return 'BTN';
      case Country.bolivia:
        return 'BOL';
      case Country.bonaireSintEustatiusAndSaba:
        return 'BES';
      case Country.bosniaAndHerzegovina:
        return 'BIH';
      case Country.botswana:
        return 'BWA';
      case Country.bouvetIsland:
        return 'BVT';
      case Country.brazil:
        return 'BRA';
      case Country.britishIndianOceanTerritory:
        return 'IOT';
      case Country.bruneiDarussalam:
        return 'BRN';
      case Country.bulgaria:
        return 'BGR';
      case Country.burkinaFaso:
        return 'BFA';
      case Country.burundi:
        return 'BDI';
      case Country.caboVerde:
        return 'CPV';
      case Country.cambodia:
        return 'KHM';
      case Country.cameroon:
        return 'CMR';
      case Country.canada:
        return 'CAN';
      case Country.caymanIslands:
        return 'CYM';
      case Country.centralAfricanRepublic:
        return 'CAF';
      case Country.chad:
        return 'TCD';
      case Country.chile:
        return 'CHL';
      case Country.china:
        return 'CHN';
      case Country.christmasIsland:
        return 'CXR';
      case Country.cocosKeelingIslands:
        return 'CCK';
      case Country.colombia:
        return 'COL';
      case Country.comoros:
        return 'COM';
      case Country.congoDemocraticRepublic:
        return 'COD';
      case Country.congo:
        return 'COG';
      case Country.cookIslands:
        return 'COK';
      case Country.costaRica:
        return 'CRI';
      case Country.coteDIvoire:
        return 'CIV';
      case Country.croatia:
        return 'HRV';
      case Country.cuba:
        return 'CUB';
      case Country.curacao:
        return 'CUW';
      case Country.cyprus:
        return 'CYP';
      case Country.czechia:
        return 'CZE';
      case Country.denmark:
        return 'DNK';
      case Country.djibouti:
        return 'DJI';
      case Country.dominica:
        return 'DMA';
      case Country.dominicanRepublic:
        return 'DOM';
      case Country.ecuador:
        return 'ECU';
      case Country.egypt:
        return 'EGY';
      case Country.elSalvador:
        return 'SLV';
      case Country.equatorialGuinea:
        return 'GNQ';
      case Country.eritrea:
        return 'ERI';
      case Country.estonia:
        return 'EST';
      case Country.eswatini:
        return 'SWZ';
      case Country.ethiopia:
        return 'ETH';
      case Country.falklandIslands:
        return 'FLK';
      case Country.faroeIslands:
        return 'FRO';
      case Country.fiji:
        return 'FJI';
      case Country.finland:
        return 'FIN';
      case Country.france:
        return 'FRA';
      case Country.frenchGuiana:
        return 'GUF';
      case Country.frenchPolynesia:
        return 'PYF';
      case Country.frenchSouthernTerritories:
        return 'ATF';
      case Country.gabon:
        return 'GAB';
      case Country.gambia:
        return 'GMB';
      case Country.georgia:
        return 'GEO';
      case Country.germany:
        return 'DEU';
      case Country.ghana:
        return 'GHA';
      case Country.gibraltar:
        return 'GIB';
      case Country.greece:
        return 'GRC';
      case Country.greenland:
        return 'GRL';
      case Country.grenada:
        return 'GRD';
      case Country.guadeloupe:
        return 'GLP';
      case Country.guam:
        return 'GUM';
      case Country.guatemala:
        return 'GTM';
      case Country.guernsey:
        return 'GGY';
      case Country.guinea:
        return 'GIN';
      case Country.guineaBissau:
        return 'GNB';
      case Country.guyana:
        return 'GUY';
      case Country.haiti:
        return 'HTI';
      case Country.heardIslandAndMcDonaldIslands:
        return 'HMD';
      case Country.holySee:
        return 'VAT';
      case Country.honduras:
        return 'HND';
      case Country.hongKong:
        return 'HKG';
      case Country.hungary:
        return 'HUN';
      case Country.iceland:
        return 'ISL';
      case Country.india:
        return 'IND';
      case Country.indonesia:
        return 'IDN';
      case Country.iranIslamicRepublic:
        return 'IRN';
      case Country.iraq:
        return 'IRQ';
      case Country.ireland:
        return 'IRL';
      case Country.isleOfMan:
        return 'IMN';
      case Country.israel:
        return 'ISR';
      case Country.italy:
        return 'ITA';
      case Country.jamaica:
        return 'JAM';
      case Country.japan:
        return 'JPN';
      case Country.jersey:
        return 'JEY';
      case Country.jordan:
        return 'JOR';
      case Country.kazakhstan:
        return 'KAZ';
      case Country.kenya:
        return 'KEN';
      case Country.kiribati:
        return 'KIR';
      case Country.koreaDemocraticPeopleRepublic:
        return 'PRK';
      case Country.koreaRepublic:
        return 'KOR';
      case Country.kuwait:
        return 'KWT';
      case Country.kyrgyzstan:
        return 'KGZ';
      case Country.laoPeopleDemocraticRepublic:
        return 'LAO';
      case Country.latvia:
        return 'LVA';
      case Country.lebanon:
        return 'LBN';
      case Country.lesotho:
        return 'LSO';
      case Country.liberia:
        return 'LBR';
      case Country.libya:
        return 'LBY';
      case Country.liechtenstein:
        return 'LIE';
      case Country.lithuania:
        return 'LTU';
      case Country.luxembourg:
        return 'LUX';
      case Country.macao:
        return 'MAC';
      case Country.madagascar:
        return 'MDG';
      case Country.malawi:
        return 'MWI';
      case Country.malaysia:
        return 'MYS';
      case Country.maldives:
        return 'MDV';
      case Country.mali:
        return 'MLI';
      case Country.malta:
        return 'MLT';
      case Country.marshallIslands:
        return 'MHL';
      case Country.martinique:
        return 'MTQ';
      case Country.mauritania:
        return 'MRT';
      case Country.mauritius:
        return 'MUS';
      case Country.mayotte:
        return 'MYT';
      case Country.mexico:
        return 'MEX';
      case Country.micronesiaFederatedStates:
        return 'FSM';
      case Country.moldovaRepublic:
        return 'MDA';
      case Country.monaco:
        return 'MCO';
      case Country.mongolia:
        return 'MNG';
      case Country.montenegro:
        return 'MNE';
      case Country.montserrat:
        return 'MSR';
      case Country.morocco:
        return 'MAR';
      case Country.mozambique:
        return 'MOZ';
      case Country.myanmar:
        return 'MMR';
      case Country.namibia:
        return 'NAM';
      case Country.nauru:
        return 'NRU';
      case Country.nepal:
        return 'NPL';
      case Country.netherlands:
        return 'NLD';
      case Country.newCaledonia:
        return 'NCL';
      case Country.newZealand:
        return 'NZL';
      case Country.nicaragua:
        return 'NIC';
      case Country.niger:
        return 'NER';
      case Country.nigeria:
        return 'NGA';
      case Country.niue:
        return 'NIU';
      case Country.norfolkIsland:
        return 'NFK';
      case Country.northMacedonia:
        return 'MKD';
      case Country.northernMarianaIslands:
        return 'MNP';
      case Country.norway:
        return 'NOR';
      case Country.oman:
        return 'OMN';
      case Country.pakistan:
        return 'PAK';
      case Country.palau:
        return 'PLW';
      case Country.palestineState:
        return 'PSE';
      case Country.panama:
        return 'PAN';
      case Country.papuaNewGuinea:
        return 'PNG';
      case Country.paraguay:
        return 'PRY';
      case Country.peru:
        return 'PER';
      case Country.philippines:
        return 'PHL';
      case Country.pitcairn:
        return 'PCN';
      case Country.poland:
        return 'POL';
      case Country.portugal:
        return 'PRT';
      case Country.puertoRico:
        return 'PRI';
      case Country.qatar:
        return 'QAT';
      case Country.reunion:
        return 'REU';
      case Country.romania:
        return 'ROU';
      case Country.russianFederation:
        return 'RUS';
      case Country.rwanda:
        return 'RWA';
      case Country.saintBarthelemy:
        return 'BLM';
      case Country.saintHelenaAscensionAndTristanDaCunha:
        return 'SHN';
      case Country.saintKittsAndNevis:
        return 'KNA';
      case Country.saintLucia:
        return 'LCA';
      case Country.saintMartin:
        return 'MAF';
      case Country.saintPierreAndMiquelon:
        return 'SPM';
      case Country.saintVincentAndTheGrenadines:
        return 'VCT';
      case Country.samoa:
        return 'WSM';
      case Country.sanMarino:
        return 'SMR';
      case Country.saoTomeAndPrincipe:
        return 'STP';
      case Country.saudiArabia:
        return 'SAU';
      case Country.senegal:
        return 'SEN';
      case Country.serbia:
        return 'SRB';
      case Country.seychelles:
        return 'SYC';
      case Country.sierraLeone:
        return 'SLE';
      case Country.singapore:
        return 'SGP';
      case Country.sintMaarten:
        return 'SXM';
      case Country.slovakia:
        return 'SVK';
      case Country.slovenia:
        return 'SVN';
      case Country.solomonIslands:
        return 'SLB';
      case Country.somalia:
        return 'SOM';
      case Country.southAfrica:
        return 'ZAF';
      case Country.southGeorgiaAndTheSouthSandwichIslands:
        return 'SGS';
      case Country.southSudan:
        return 'SSD';
      case Country.spain:
        return 'ESP';
      case Country.sriLanka:
        return 'LKA';
      case Country.sudan:
        return 'SDN';
      case Country.suriname:
        return 'SUR';
      case Country.svalbardAndJanMayen:
        return 'SJM';
      case Country.sweden:
        return 'SWE';
      case Country.switzerland:
        return 'CHE';
      case Country.syrianArabRepublic:
        return 'SYR';
      case Country.taiwan:
        return 'TWN';
      case Country.tajikistan:
        return 'TJK';
      case Country.tanzaniaUnitedRepublic:
        return 'TZA';
      case Country.thailand:
        return 'THA';
      case Country.timorLeste:
        return 'TLS';
      case Country.togo:
        return 'TGO';
      case Country.tokelau:
        return 'TKL';
      case Country.tonga:
        return 'TON';
      case Country.trinidadAndTobago:
        return 'TTO';
      case Country.tunisia:
        return 'TUN';
      case Country.turkey:
        return 'TUR';
      case Country.turkmenistan:
        return 'TKM';
      case Country.turksAndCaicosIslands:
        return 'TCA';
      case Country.tuvalu:
        return 'TUV';
      case Country.uganda:
        return 'UGA';
      case Country.ukraine:
        return 'UKR';
      case Country.unitedArabEmirates:
        return 'ARE';
      case Country.unitedKingdomOfGreatBritainAndNorthernIreland:
        return 'GBR';
      case Country.unitedStatesMinorOutlyingIslands:
        return 'UMI';
      case Country.unitedStatesOfAmerica:
        return 'USA';
      case Country.uruguay:
        return 'URY';
      case Country.uzbekistan:
        return 'UZB';
      case Country.vanuatu:
        return 'VUT';
      case Country.venezuelaBolivarianRepublic:
        return 'VEN';
      case Country.vietNam:
        return 'VNM';
      case Country.virginIslandsBritish:
        return 'VGB';
      case Country.virginIslandsUS:
        return 'VIR';
      case Country.wallisAndFutuna:
        return 'WLF';
      case Country.westernSahara:
        return 'ESH';
      case Country.yemen:
        return 'YEM';
      case Country.zambia:
        return 'ZMB';
      case Country.zimbabwe:
        return 'ZWE';
    }
  }

  /// Returns the name of the country.
  ///
  String get name {
    switch (this) {
      case Country.afghanistan:
        return 'Afghanistan';
      case Country.alandIslands:
        return 'Åland Islands';
      case Country.albania:
        return 'Albania';
      case Country.algeria:
        return 'Algeria';
      case Country.americanSamoa:
        return 'American Samoa';
      case Country.andorra:
        return 'Andorra';
      case Country.angola:
        return 'Angola';
      case Country.anguilla:
        return 'Anguilla';
      case Country.antarctica:
        return 'Antarctica';
      case Country.antiguaAndBarbuda:
        return 'Antigua and Barbuda';
      case Country.argentina:
        return 'Argentina';
      case Country.armenia:
        return 'Armenia';
      case Country.aruba:
        return 'Aruba';
      case Country.australia:
        return 'Australia';
      case Country.austria:
        return 'Austria';
      case Country.azerbaijan:
        return 'Azerbaijan';
      case Country.bahamas:
        return 'Bahamas';
      case Country.bahrain:
        return 'Bahrain';
      case Country.bangladesh:
        return 'Bangladesh';
      case Country.barbados:
        return 'Barbados';
      case Country.belarus:
        return 'Belarus';
      case Country.belgium:
        return 'Belgium';
      case Country.belize:
        return 'Belize';
      case Country.benin:
        return 'Benin';
      case Country.bermuda:
        return 'Bermuda';
      case Country.bhutan:
        return 'Bhutan';
      case Country.bolivia:
        return 'Bolivia';
      case Country.bonaireSintEustatiusAndSaba:
        return 'Bonaire, Sint Eustatius and Saba';
      case Country.bosniaAndHerzegovina:
        return 'Bosnia and Herzegovina';
      case Country.botswana:
        return 'Botswana';
      case Country.bouvetIsland:
        return 'Bouvet Island';
      case Country.brazil:
        return 'Brazil';
      case Country.britishIndianOceanTerritory:
        return 'British Indian Ocean Territory';
      case Country.bruneiDarussalam:
        return 'Brunei Darussalam';
      case Country.bulgaria:
        return 'Bulgaria';
      case Country.burkinaFaso:
        return 'Burkina Faso';
      case Country.burundi:
        return 'Burundi';
      case Country.caboVerde:
        return 'Cabo Verde';
      case Country.cambodia:
        return 'Cambodia';
      case Country.cameroon:
        return 'Cameroon';
      case Country.canada:
        return 'Canada';
      case Country.caymanIslands:
        return 'Cayman Islands';
      case Country.centralAfricanRepublic:
        return 'Central African Republic';
      case Country.chad:
        return 'Chad';
      case Country.chile:
        return 'Chile';
      case Country.china:
        return 'China';
      case Country.christmasIsland:
        return 'Christmas Island';
      case Country.cocosKeelingIslands:
        return 'Cocos (Keeling) Islands';
      case Country.colombia:
        return 'Colombia';
      case Country.comoros:
        return 'Comoros';
      case Country.congoDemocraticRepublic:
        return 'Congo (Democratic Republic)';
      case Country.congo:
        return 'Congo';
      case Country.cookIslands:
        return 'Cook Islands';
      case Country.costaRica:
        return 'Costa Rica';
      case Country.coteDIvoire:
        return 'Côte d’Ivoire';
      case Country.croatia:
        return 'Croatia';
      case Country.cuba:
        return 'Cuba';
      case Country.curacao:
        return 'Curaçao';
      case Country.cyprus:
        return 'Cyprus';
      case Country.czechia:
        return 'Czechia';
      case Country.denmark:
        return 'Denmark';
      case Country.djibouti:
        return 'Djibouti';
      case Country.dominica:
        return 'Dominica';
      case Country.dominicanRepublic:
        return 'Dominican Republic';
      case Country.ecuador:
        return 'Ecuador';
      case Country.egypt:
        return 'Egypt';
      case Country.elSalvador:
        return 'El Salvador';
      case Country.equatorialGuinea:
        return 'Equatorial Guinea';
      case Country.eritrea:
        return 'Eritrea';
      case Country.estonia:
        return 'Estonia';
      case Country.eswatini:
        return 'Eswatini';
      case Country.ethiopia:
        return 'Ethiopia';
      case Country.falklandIslands:
        return 'Falkland Islands [Malvinas]';
      case Country.faroeIslands:
        return 'Faroe Islands';
      case Country.fiji:
        return 'Fiji';
      case Country.finland:
        return 'Finland';
      case Country.france:
        return 'France';
      case Country.frenchGuiana:
        return 'French Guiana';
      case Country.frenchPolynesia:
        return 'French Polynesia';
      case Country.frenchSouthernTerritories:
        return 'French Southern Territories';
      case Country.gabon:
        return 'Gabon';
      case Country.gambia:
        return 'Gambia';
      case Country.georgia:
        return 'Georgia';
      case Country.germany:
        return 'Germany';
      case Country.ghana:
        return 'Ghana';
      case Country.gibraltar:
        return 'Gibraltar';
      case Country.greece:
        return 'Greece';
      case Country.greenland:
        return 'Greenland';
      case Country.grenada:
        return 'Grenada';
      case Country.guadeloupe:
        return 'Guadeloupe';
      case Country.guam:
        return 'Guam';
      case Country.guatemala:
        return 'Guatemala';
      case Country.guernsey:
        return 'Guernsey';
      case Country.guinea:
        return 'Guinea';
      case Country.guineaBissau:
        return 'Guinea-Bissau';
      case Country.guyana:
        return 'Guyana';
      case Country.haiti:
        return 'Haiti';
      case Country.heardIslandAndMcDonaldIslands:
        return 'Heard Island and McDonald Islands';
      case Country.holySee:
        return 'Holy See';
      case Country.honduras:
        return 'Honduras';
      case Country.hongKong:
        return 'Hong Kong';
      case Country.hungary:
        return 'Hungary';
      case Country.iceland:
        return 'Iceland';
      case Country.india:
        return 'India';
      case Country.indonesia:
        return 'Indonesia';
      case Country.iranIslamicRepublic:
        return 'Iran (Islamic Republic)';
      case Country.iraq:
        return 'Iraq';
      case Country.ireland:
        return 'Ireland';
      case Country.isleOfMan:
        return 'Isle of Man';
      case Country.israel:
        return 'Israel';
      case Country.italy:
        return 'Italy';
      case Country.jamaica:
        return 'Jamaica';
      case Country.japan:
        return 'Japan';
      case Country.jersey:
        return 'Jersey';
      case Country.jordan:
        return 'Jordan';
      case Country.kazakhstan:
        return 'Kazakhstan';
      case Country.kenya:
        return 'Kenya';
      case Country.kiribati:
        return 'Kiribati';
      case Country.koreaDemocraticPeopleRepublic:
        return 'Korea (Democratic People’s Republic)';
      case Country.koreaRepublic:
        return 'Korea (Republic)';
      case Country.kuwait:
        return 'Kuwait';
      case Country.kyrgyzstan:
        return 'Kyrgyzstan';
      case Country.laoPeopleDemocraticRepublic:
        return 'Lao People’s Democratic Republic';
      case Country.latvia:
        return 'Latvia';
      case Country.lebanon:
        return 'Lebanon';
      case Country.lesotho:
        return 'Lesotho';
      case Country.liberia:
        return 'Liberia';
      case Country.libya:
        return 'Libya';
      case Country.liechtenstein:
        return 'Liechtenstein';
      case Country.lithuania:
        return 'Lithuania';
      case Country.luxembourg:
        return 'Luxembourg';
      case Country.macao:
        return 'Macao';
      case Country.madagascar:
        return 'Madagascar';
      case Country.malawi:
        return 'Malawi';
      case Country.malaysia:
        return 'Malaysia';
      case Country.maldives:
        return 'Maldives';
      case Country.mali:
        return 'Mali';
      case Country.malta:
        return 'Malta';
      case Country.marshallIslands:
        return 'Marshall Islands';
      case Country.martinique:
        return 'Martinique';
      case Country.mauritania:
        return 'Mauritania';
      case Country.mauritius:
        return 'Mauritius';
      case Country.mayotte:
        return 'Mayotte';
      case Country.mexico:
        return 'Mexico';
      case Country.micronesiaFederatedStates:
        return 'Micronesia (Federated States)';
      case Country.moldovaRepublic:
        return 'Moldova (Republic)';
      case Country.monaco:
        return 'Monaco';
      case Country.mongolia:
        return 'Mongolia';
      case Country.montenegro:
        return 'Montenegro';
      case Country.montserrat:
        return 'Montserrat';
      case Country.morocco:
        return 'Morocco';
      case Country.mozambique:
        return 'Mozambique';
      case Country.myanmar:
        return 'Myanmar';
      case Country.namibia:
        return 'Namibia';
      case Country.nauru:
        return 'Nauru';
      case Country.nepal:
        return 'Nepal';
      case Country.netherlands:
        return 'Netherlands';
      case Country.newCaledonia:
        return 'New Caledonia';
      case Country.newZealand:
        return 'New Zealand';
      case Country.nicaragua:
        return 'Nicaragua';
      case Country.niger:
        return 'Niger';
      case Country.nigeria:
        return 'Nigeria';
      case Country.niue:
        return 'Niue';
      case Country.norfolkIsland:
        return 'Norfolk Island';
      case Country.northMacedonia:
        return 'North Macedonia';
      case Country.northernMarianaIslands:
        return 'Northern Mariana Islands';
      case Country.norway:
        return 'Norway';
      case Country.oman:
        return 'Oman';
      case Country.pakistan:
        return 'Pakistan';
      case Country.palau:
        return 'Palau';
      case Country.palestineState:
        return 'Palestine (State)';
      case Country.panama:
        return 'Panama';
      case Country.papuaNewGuinea:
        return 'Papua New Guinea';
      case Country.paraguay:
        return 'Paraguay';
      case Country.peru:
        return 'Peru';
      case Country.philippines:
        return 'Philippines';
      case Country.pitcairn:
        return 'Pitcairn';
      case Country.poland:
        return 'Poland';
      case Country.portugal:
        return 'Portugal';
      case Country.puertoRico:
        return 'Puerto Rico';
      case Country.qatar:
        return 'Qatar';
      case Country.reunion:
        return 'Réunion';
      case Country.romania:
        return 'Romania';
      case Country.russianFederation:
        return 'Russian Federation';
      case Country.rwanda:
        return 'Rwanda';
      case Country.saintBarthelemy:
        return 'Saint Barthélemy';
      case Country.saintHelenaAscensionAndTristanDaCunha:
        return 'Saint Helena, Ascension and Tristan da Cunha';
      case Country.saintKittsAndNevis:
        return 'Saint Kitts and Nevis';
      case Country.saintLucia:
        return 'Saint Lucia';
      case Country.saintMartin:
        return 'Saint Martin (French part)';
      case Country.saintPierreAndMiquelon:
        return 'Saint Pierre and Miquelon';
      case Country.saintVincentAndTheGrenadines:
        return 'Saint Vincent and the Grenadines';
      case Country.samoa:
        return 'Samoa';
      case Country.sanMarino:
        return 'San Marino';
      case Country.saoTomeAndPrincipe:
        return 'Sao Tome and Principe';
      case Country.saudiArabia:
        return 'Saudi Arabia';
      case Country.senegal:
        return 'Senegal';
      case Country.serbia:
        return 'Serbia';
      case Country.seychelles:
        return 'Seychelles';
      case Country.sierraLeone:
        return 'Sierra Leone';
      case Country.singapore:
        return 'Singapore';
      case Country.sintMaarten:
        return 'Sint Maarten (Dutch part)';
      case Country.slovakia:
        return 'Slovakia';
      case Country.slovenia:
        return 'Slovenia';
      case Country.solomonIslands:
        return 'Solomon Islands';
      case Country.somalia:
        return 'Somalia';
      case Country.southAfrica:
        return 'South Africa';
      case Country.southGeorgiaAndTheSouthSandwichIslands:
        return 'South Georgia and the South Sandwich Islands';
      case Country.southSudan:
        return 'South Sudan';
      case Country.spain:
        return 'Spain';
      case Country.sriLanka:
        return 'Sri Lanka';
      case Country.sudan:
        return 'Sudan';
      case Country.suriname:
        return 'Suriname';
      case Country.svalbardAndJanMayen:
        return 'Svalbard and Jan Mayen';
      case Country.sweden:
        return 'Sweden';
      case Country.switzerland:
        return 'Switzerland';
      case Country.syrianArabRepublic:
        return 'Syrian Arab Republic';
      case Country.taiwan:
        return 'Taiwan';
      case Country.tajikistan:
        return 'Tajikistan';
      case Country.tanzaniaUnitedRepublic:
        return 'Tanzania (United Republic)';
      case Country.thailand:
        return 'Thailand';
      case Country.timorLeste:
        return 'Timor-Leste';
      case Country.togo:
        return 'Togo';
      case Country.tokelau:
        return 'Tokelau';
      case Country.tonga:
        return 'Tonga';
      case Country.trinidadAndTobago:
        return 'Trinidad and Tobago';
      case Country.tunisia:
        return 'Tunisia';
      case Country.turkey:
        return 'Turkey';
      case Country.turkmenistan:
        return 'Turkmenistan';
      case Country.turksAndCaicosIslands:
        return 'Turks and Caicos Islands';
      case Country.tuvalu:
        return 'Tuvalu';
      case Country.uganda:
        return 'Uganda';
      case Country.ukraine:
        return 'Ukraine';
      case Country.unitedArabEmirates:
        return 'United Arab Emirates';
      case Country.unitedKingdomOfGreatBritainAndNorthernIreland:
        return 'United Kingdom of Great Britain and Northern Ireland';
      case Country.unitedStatesMinorOutlyingIslands:
        return 'United States Minor Outlying Islands';
      case Country.unitedStatesOfAmerica:
        return 'United States of America';
      case Country.uruguay:
        return 'Uruguay';
      case Country.uzbekistan:
        return 'Uzbekistan';
      case Country.vanuatu:
        return 'Vanuatu';
      case Country.venezuelaBolivarianRepublic:
        return 'Venezuela (Bolivarian Republic)';
      case Country.vietNam:
        return 'Viet Nam';
      case Country.virginIslandsBritish:
        return 'Virgin Islands (British)';
      case Country.virginIslandsUS:
        return 'Virgin Islands (U.S.)';
      case Country.wallisAndFutuna:
        return 'Wallis and Futuna';
      case Country.westernSahara:
        return 'Western Sahara';
      case Country.yemen:
        return 'Yemen';
      case Country.zambia:
        return 'Zambia';
      case Country.zimbabwe:
        return 'Zimbabwe';
    }
  }

  /// Returns the corresponding “numeric code” of the country.
  ///
  String get numericCode {
    switch (this) {
      case Country.afghanistan:
        return '4';
      case Country.alandIslands:
        return '248';
      case Country.albania:
        return '8';
      case Country.algeria:
        return '12';
      case Country.americanSamoa:
        return '16';
      case Country.andorra:
        return '20';
      case Country.angola:
        return '24';
      case Country.anguilla:
        return '660';
      case Country.antarctica:
        return '10';
      case Country.antiguaAndBarbuda:
        return '28';
      case Country.argentina:
        return '32';
      case Country.armenia:
        return '51';
      case Country.aruba:
        return '533';
      case Country.australia:
        return '36';
      case Country.austria:
        return '40';
      case Country.azerbaijan:
        return '31';
      case Country.bahamas:
        return '44';
      case Country.bahrain:
        return '48';
      case Country.bangladesh:
        return '50';
      case Country.barbados:
        return '52';
      case Country.belarus:
        return '112';
      case Country.belgium:
        return '56';
      case Country.belize:
        return '84';
      case Country.benin:
        return '204';
      case Country.bermuda:
        return '60';
      case Country.bhutan:
        return '64';
      case Country.bolivia:
        return '68';
      case Country.bonaireSintEustatiusAndSaba:
        return '535';
      case Country.bosniaAndHerzegovina:
        return '70';
      case Country.botswana:
        return '72';
      case Country.bouvetIsland:
        return '74';
      case Country.brazil:
        return '76';
      case Country.britishIndianOceanTerritory:
        return '86';
      case Country.bruneiDarussalam:
        return '96';
      case Country.bulgaria:
        return '100';
      case Country.burkinaFaso:
        return '854';
      case Country.burundi:
        return '108';
      case Country.caboVerde:
        return '132';
      case Country.cambodia:
        return '116';
      case Country.cameroon:
        return '120';
      case Country.canada:
        return '124';
      case Country.caymanIslands:
        return '136';
      case Country.centralAfricanRepublic:
        return '140';
      case Country.chad:
        return '148';
      case Country.chile:
        return '152';
      case Country.china:
        return '156';
      case Country.christmasIsland:
        return '162';
      case Country.cocosKeelingIslands:
        return '166';
      case Country.colombia:
        return '170';
      case Country.comoros:
        return '174';
      case Country.congoDemocraticRepublic:
        return '180';
      case Country.congo:
        return '178';
      case Country.cookIslands:
        return '184';
      case Country.costaRica:
        return '188';
      case Country.coteDIvoire:
        return '384';
      case Country.croatia:
        return '191';
      case Country.cuba:
        return '192';
      case Country.curacao:
        return '531';
      case Country.cyprus:
        return '196';
      case Country.czechia:
        return '203';
      case Country.denmark:
        return '208';
      case Country.djibouti:
        return '262';
      case Country.dominica:
        return '212';
      case Country.dominicanRepublic:
        return '214';
      case Country.ecuador:
        return '218';
      case Country.egypt:
        return '818';
      case Country.elSalvador:
        return '222';
      case Country.equatorialGuinea:
        return '226';
      case Country.eritrea:
        return '232';
      case Country.estonia:
        return '233';
      case Country.eswatini:
        return '748';
      case Country.ethiopia:
        return '231';
      case Country.falklandIslands:
        return '238';
      case Country.faroeIslands:
        return '234';
      case Country.fiji:
        return '242';
      case Country.finland:
        return '246';
      case Country.france:
        return '250';
      case Country.frenchGuiana:
        return '254';
      case Country.frenchPolynesia:
        return '258';
      case Country.frenchSouthernTerritories:
        return '260';
      case Country.gabon:
        return '266';
      case Country.gambia:
        return '270';
      case Country.georgia:
        return '268';
      case Country.germany:
        return '276';
      case Country.ghana:
        return '288';
      case Country.gibraltar:
        return '292';
      case Country.greece:
        return '300';
      case Country.greenland:
        return '304';
      case Country.grenada:
        return '308';
      case Country.guadeloupe:
        return '312';
      case Country.guam:
        return '316';
      case Country.guatemala:
        return '320';
      case Country.guernsey:
        return '831';
      case Country.guinea:
        return '324';
      case Country.guineaBissau:
        return '624';
      case Country.guyana:
        return '328';
      case Country.haiti:
        return '332';
      case Country.heardIslandAndMcDonaldIslands:
        return '334';
      case Country.holySee:
        return '336';
      case Country.honduras:
        return '340';
      case Country.hongKong:
        return '344';
      case Country.hungary:
        return '348';
      case Country.iceland:
        return '352';
      case Country.india:
        return '356';
      case Country.indonesia:
        return '360';
      case Country.iranIslamicRepublic:
        return '364';
      case Country.iraq:
        return '368';
      case Country.ireland:
        return '372';
      case Country.isleOfMan:
        return '833';
      case Country.israel:
        return '376';
      case Country.italy:
        return '380';
      case Country.jamaica:
        return '388';
      case Country.japan:
        return '392';
      case Country.jersey:
        return '832';
      case Country.jordan:
        return '400';
      case Country.kazakhstan:
        return '398';
      case Country.kenya:
        return '404';
      case Country.kiribati:
        return '296';
      case Country.koreaDemocraticPeopleRepublic:
        return '408';
      case Country.koreaRepublic:
        return '410';
      case Country.kuwait:
        return '414';
      case Country.kyrgyzstan:
        return '417';
      case Country.laoPeopleDemocraticRepublic:
        return '418';
      case Country.latvia:
        return '428';
      case Country.lebanon:
        return '422';
      case Country.lesotho:
        return '426';
      case Country.liberia:
        return '430';
      case Country.libya:
        return '434';
      case Country.liechtenstein:
        return '438';
      case Country.lithuania:
        return '440';
      case Country.luxembourg:
        return '442';
      case Country.macao:
        return '446';
      case Country.madagascar:
        return '450';
      case Country.malawi:
        return '454';
      case Country.malaysia:
        return '458';
      case Country.maldives:
        return '462';
      case Country.mali:
        return '466';
      case Country.malta:
        return '470';
      case Country.marshallIslands:
        return '584';
      case Country.martinique:
        return '474';
      case Country.mauritania:
        return '478';
      case Country.mauritius:
        return '480';
      case Country.mayotte:
        return '175';
      case Country.mexico:
        return '484';
      case Country.micronesiaFederatedStates:
        return '583';
      case Country.moldovaRepublic:
        return '498';
      case Country.monaco:
        return '492';
      case Country.mongolia:
        return '496';
      case Country.montenegro:
        return '499';
      case Country.montserrat:
        return '500';
      case Country.morocco:
        return '504';
      case Country.mozambique:
        return '508';
      case Country.myanmar:
        return '104';
      case Country.namibia:
        return '516';
      case Country.nauru:
        return '520';
      case Country.nepal:
        return '524';
      case Country.netherlands:
        return '528';
      case Country.newCaledonia:
        return '540';
      case Country.newZealand:
        return '554';
      case Country.nicaragua:
        return '558';
      case Country.niger:
        return '562';
      case Country.nigeria:
        return '566';
      case Country.niue:
        return '570';
      case Country.norfolkIsland:
        return '574';
      case Country.northMacedonia:
        return '807';
      case Country.northernMarianaIslands:
        return '580';
      case Country.norway:
        return '578';
      case Country.oman:
        return '512';
      case Country.pakistan:
        return '586';
      case Country.palau:
        return '585';
      case Country.palestineState:
        return '275';
      case Country.panama:
        return '591';
      case Country.papuaNewGuinea:
        return '598';
      case Country.paraguay:
        return '600';
      case Country.peru:
        return '604';
      case Country.philippines:
        return '608';
      case Country.pitcairn:
        return '612';
      case Country.poland:
        return '616';
      case Country.portugal:
        return '620';
      case Country.puertoRico:
        return '630';
      case Country.qatar:
        return '634';
      case Country.reunion:
        return '638';
      case Country.romania:
        return '642';
      case Country.russianFederation:
        return '643';
      case Country.rwanda:
        return '646';
      case Country.saintBarthelemy:
        return '652';
      case Country.saintHelenaAscensionAndTristanDaCunha:
        return '654';
      case Country.saintKittsAndNevis:
        return '659';
      case Country.saintLucia:
        return '662';
      case Country.saintMartin:
        return '663';
      case Country.saintPierreAndMiquelon:
        return '666';
      case Country.saintVincentAndTheGrenadines:
        return '670';
      case Country.samoa:
        return '882';
      case Country.sanMarino:
        return '674';
      case Country.saoTomeAndPrincipe:
        return '678';
      case Country.saudiArabia:
        return '682';
      case Country.senegal:
        return '686';
      case Country.serbia:
        return '688';
      case Country.seychelles:
        return '690';
      case Country.sierraLeone:
        return '694';
      case Country.singapore:
        return '702';
      case Country.sintMaarten:
        return '534';
      case Country.slovakia:
        return '703';
      case Country.slovenia:
        return '705';
      case Country.solomonIslands:
        return '90';
      case Country.somalia:
        return '706';
      case Country.southAfrica:
        return '710';
      case Country.southGeorgiaAndTheSouthSandwichIslands:
        return '239';
      case Country.southSudan:
        return '728';
      case Country.spain:
        return '724';
      case Country.sriLanka:
        return '144';
      case Country.sudan:
        return '729';
      case Country.suriname:
        return '740';
      case Country.svalbardAndJanMayen:
        return '744';
      case Country.sweden:
        return '752';
      case Country.switzerland:
        return '756';
      case Country.syrianArabRepublic:
        return '760';
      case Country.taiwan:
        return '158';
      case Country.tajikistan:
        return '762';
      case Country.tanzaniaUnitedRepublic:
        return '834';
      case Country.thailand:
        return '764';
      case Country.timorLeste:
        return '626';
      case Country.togo:
        return '768';
      case Country.tokelau:
        return '772';
      case Country.tonga:
        return '776';
      case Country.trinidadAndTobago:
        return '780';
      case Country.tunisia:
        return '788';
      case Country.turkey:
        return '792';
      case Country.turkmenistan:
        return '795';
      case Country.turksAndCaicosIslands:
        return '796';
      case Country.tuvalu:
        return '798';
      case Country.uganda:
        return '800';
      case Country.ukraine:
        return '804';
      case Country.unitedArabEmirates:
        return '784';
      case Country.unitedKingdomOfGreatBritainAndNorthernIreland:
        return '826';
      case Country.unitedStatesMinorOutlyingIslands:
        return '581';
      case Country.unitedStatesOfAmerica:
        return '840';
      case Country.uruguay:
        return '858';
      case Country.uzbekistan:
        return '860';
      case Country.vanuatu:
        return '548';
      case Country.venezuelaBolivarianRepublic:
        return '862';
      case Country.vietNam:
        return '704';
      case Country.virginIslandsBritish:
        return '92';
      case Country.virginIslandsUS:
        return '850';
      case Country.wallisAndFutuna:
        return '876';
      case Country.westernSahara:
        return '732';
      case Country.yemen:
        return '887';
      case Country.zambia:
        return '894';
      case Country.zimbabwe:
        return '716';
    }
  }
}
