import 'package:flutter_test/flutter_test.dart';
import 'package:geos/src/enumerations/country.dart';

void main() {
  test('Get the “alpha-2 code”', () {
    const country1 = Country.alandIslands;
    const country2 = Country.spain;
    const country3 = Country.svalbardAndJanMayen;

    expect(country1.alpha2code, 'AX');
    expect(country2.alpha2code, 'ES');
    expect(country3.alpha2code, 'SJ');
  });

  test('Get the “alpha-3 code”', () {
    const country1 = Country.alandIslands;
    const country2 = Country.spain;
    const country3 = Country.svalbardAndJanMayen;

    expect(country1.alpha3code, 'ALA');
    expect(country2.alpha3code, 'ESP');
    expect(country3.alpha3code, 'SJM');
  });

  test('Get the name”', () {
    const country1 = Country.alandIslands;
    const country2 = Country.spain;
    const country3 = Country.svalbardAndJanMayen;

    expect(country1.name, 'Åland Islands');
    expect(country2.name, 'Spain');
    expect(country3.name, 'Svalbard and Jan Mayen');
  });

  test('Get the “numeric” code', () {
    const country1 = Country.alandIslands;
    const country2 = Country.spain;
    const country3 = Country.svalbardAndJanMayen;

    expect(country1.numericCode, '248');
    expect(country2.numericCode, '724');
    expect(country3.numericCode, '744');
  });
}
